Subject: [alpine-aports] [PATCH] main/wayland: upgrade to 1.13

From: Valery Kartel <[email-masked]>
Date: Wed, 22 Feb 2017 09:39:17 +0200

--
take maintain
move development binary and data to -dev
---
 main/wayland/APKBUILD | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

diff --git a/main/wayland/APKBUILD b/main/wayland/APKBUILD
index 662733703e..0aff823156 100644
--- a/main/wayland/APKBUILD
+++ b/main/wayland/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Contributor: Bartłomiej Piotrowski <[email-masked]>
-# Maintainer:
+# Maintainer: Valery Kartel <[email-masked]>
 pkgname=wayland
-pkgver=1.12.0
+pkgver=1.13.0
 pkgrel=0
 pkgdesc="A computer display server protocol"
 url="http://wayland.freedesktop.org"
@@ -11,7 +11,7 @@ license="MIT"
 depends=""
 depends_dev="libffi-dev expat-dev"
 makedepends="$depends_dev doxygen xmlto graphviz grep libxml2-dev"
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-doc $pkgname-dev"
 source="http://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"
 
 builddir="$srcdir/$pkgname-$pkgver"
@@ -36,6 +36,11 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="ee615e2d1e205eec48b02f069327eb96  wayland-1.12.0.tar.xz"
-sha256sums="d6b4135cba0188abcb7275513c72dede751d6194f6edc5b82183a3ba8b821ab1  wayland-1.12.0.tar.xz"
-sha512sums="cde05344e6c9ee40c80651f5b6d6b4a14787a9cf2c8e3099d69b8f78672610e3ccbe4a87446f9ae93ca402cfbb916ef7444294efa7a0fc88ef1a984f94dabd20  wayland-1.12.0.tar.xz"
+dev() {
+	mkdir -p "$subpkgdir"/usr || return 1
+	mv "$pkgdir"/usr/bin "$pkgdir"/usr/share \
+		"$subpkgdir"/usr || return 1
+	default_dev
+}
+
+sha512sums="163bae2c2c2e79e03dda9a57b1e3a1060eff9e0b053b70ad00a6949a1d40f4c40d0244340c2603109fcbfe919533c2ce196338b27587fd3bda996e615d51e543  wayland-1.13.0.tar.xz"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---